package com.steerinfo.ems.dzmaterialsf.model;

import com.steerinfo.framework.model.ICBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.util.HashMap;
import java.util.Map;

@ApiModel(value="大宗物料数据表")
public class DzMaterialSf implements ICBasePO<DzMaterialSf> {
    /**
     * 日期(GBSJ,VARCHAR,20)
     */
    @ApiModelProperty(value="日期",required=true)
    private String gbsj;

    /**
     * 物料类型id(CINVCCODE,VARCHAR,20)
     */
    @ApiModelProperty(value="物料类型id",required=true)
    private String cinvccode;

    /**
     * 物料ID(CINVCODE,VARCHAR,20)
     */
    @ApiModelProperty(value="物料ID",required=true)
    private String cinvcode;

    /**
     * 物料规格(备注)(CINVSTD,VARCHAR,100)
     */
    @ApiModelProperty(value="物料规格(备注)",required=true)
    private String cinvstd;

    /**
     * 物料仓库ID(CWHCODE,VARCHAR,20)
     */
    @ApiModelProperty(value="物料仓库ID",required=true)
    private String cwhcode;

    /**
     * 表标识(TAB,VARCHAR,10)
     */
    @ApiModelProperty(value="表标识",required=true)
    private String tab;

    /**
     * 单据类型(DJLX,VARCHAR,20)
     */
    @ApiModelProperty(value="单据类型",required=true)
    private String djlx;

    /**
     * 品种(PZDL,VARCHAR,50)
     */
    @ApiModelProperty(value="品种",required=true)
    private String pzdl;

    /**
     * 收发货地点(PLACE,VARCHAR,100)
     */
    @ApiModelProperty(value="收发货地点",required=true)
    private String place;

    /**
     * 物料类型名称(CINVCNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="物料类型名称",required=false)
    private String cinvcname;

    /**
     * 物料名称(CINVNAME,VARCHAR,50)
     */
    @ApiModelProperty(value="物料名称",required=false)
    private String cinvname;

    /**
     * 物料仓库名称(CWHNAME,VARCHAR,100)
     */
    @ApiModelProperty(value="物料仓库名称",required=false)
    private String cwhname;

    /**
     * 毛重(MZ,DECIMAL,20)
     */
    @ApiModelProperty(value="毛重",required=false)
    private BigDecimal mz;

    /**
     * 皮重(PZ,DECIMAL,20)
     */
    @ApiModelProperty(value="皮重",required=false)
    private BigDecimal pz;

    /**
     * 净重(JZ,DECIMAL,20)
     */
    @ApiModelProperty(value="净重",required=false)
    private BigDecimal jz;

    /**
     * 创建人(CREATEMAN,VARCHAR,50)
     */
    @ApiModelProperty(value="创建人",required=false)
    private String createman;

    /**
     * 创建时间(CREATETIME,VARCHAR,50)
     */
    @ApiModelProperty(value="创建时间",required=false)
    private String createtime;

    /**
     * 修改人(UPDATEMAN,VARCHAR,50)
     */
    @ApiModelProperty(value="修改人",required=false)
    private String updateman;

    /**
     * 修改时间(UPDATETIME,VARCHAR,50)
     */
    @ApiModelProperty(value="修改时间",required=false)
    private String updatetime;

    /**
     * 读取时间(READTIME,VARCHAR,50)
     */
    @ApiModelProperty(value="读取时间",required=false)
    private String readtime;

    /**
     * 扣水(BFSFCL_WATER,DECIMAL,20)
     */
    @ApiModelProperty(value="扣水",required=false)
    private BigDecimal bfsfclWater;

    /**
     * 杂质(BFSFCL_ZAZHI,DECIMAL,20)
     */
    @ApiModelProperty(value="杂质",required=false)
    private BigDecimal bfsfclZazhi;

    /**
     * 扣杂(BFSFCL_KZ,DECIMAL,20)
     */
    @ApiModelProperty(value="扣杂",required=false)
    private BigDecimal bfsfclKz;

    private static final long serialVersionUID = 1L;

    @Override
    public Map<String, Object> getId() {
        Map<String, Object> params = new HashMap<>();
        params.put("gbsj",this.gbsj);
        params.put("cinvccode",this.cinvccode);
        params.put("cinvcode",this.cinvcode);
        params.put("cinvstd",this.cinvstd);
        params.put("cwhcode",this.cwhcode);
        params.put("tab",this.tab);
        params.put("djlx",this.djlx);
        params.put("pzdl",this.pzdl);
        params.put("place",this.place);
        return params;
    }

    @Override
    public void setId(DzMaterialSf dzMaterialSf) {
        this.gbsj = dzMaterialSf.getGbsj();
        this.cinvccode = dzMaterialSf.getCinvccode();
        this.cinvcode = dzMaterialSf.getCinvcode();
        this.cinvstd = dzMaterialSf.getCinvstd();
        this.cwhcode = dzMaterialSf.getCwhcode();
        this.tab = dzMaterialSf.getTab();
        this.djlx = dzMaterialSf.getDjlx();
        this.pzdl = dzMaterialSf.getPzdl();
        this.place = dzMaterialSf.getPlace();
    }

    public String getGbsj() {
        return gbsj;
    }

    public void setGbsj(String gbsj) {
        this.gbsj = gbsj == null ? null : gbsj.trim();
    }

    public String getCinvccode() {
        return cinvccode;
    }

    public void setCinvccode(String cinvccode) {
        this.cinvccode = cinvccode == null ? null : cinvccode.trim();
    }

    public String getCinvcode() {
        return cinvcode;
    }

    public void setCinvcode(String cinvcode) {
        this.cinvcode = cinvcode == null ? null : cinvcode.trim();
    }

    public String getCinvstd() {
        return cinvstd;
    }

    public void setCinvstd(String cinvstd) {
        this.cinvstd = cinvstd == null ? null : cinvstd.trim();
    }

    public String getCwhcode() {
        return cwhcode;
    }

    public void setCwhcode(String cwhcode) {
        this.cwhcode = cwhcode == null ? null : cwhcode.trim();
    }

    public String getTab() {
        return tab;
    }

    public void setTab(String tab) {
        this.tab = tab == null ? null : tab.trim();
    }

    public String getDjlx() {
        return djlx;
    }

    public void setDjlx(String djlx) {
        this.djlx = djlx == null ? null : djlx.trim();
    }

    public String getPzdl() {
        return pzdl;
    }

    public void setPzdl(String pzdl) {
        this.pzdl = pzdl == null ? null : pzdl.trim();
    }

    public String getPlace() {
        return place;
    }

    public void setPlace(String place) {
        this.place = place == null ? null : place.trim();
    }

    public String getCinvcname() {
        return cinvcname;
    }

    public void setCinvcname(String cinvcname) {
        this.cinvcname = cinvcname == null ? null : cinvcname.trim();
    }

    public String getCinvname() {
        return cinvname;
    }

    public void setCinvname(String cinvname) {
        this.cinvname = cinvname == null ? null : cinvname.trim();
    }

    public String getCwhname() {
        return cwhname;
    }

    public void setCwhname(String cwhname) {
        this.cwhname = cwhname == null ? null : cwhname.trim();
    }

    public BigDecimal getMz() {
        return mz;
    }

    public void setMz(BigDecimal mz) {
        this.mz = mz;
    }

    public BigDecimal getPz() {
        return pz;
    }

    public void setPz(BigDecimal pz) {
        this.pz = pz;
    }

    public BigDecimal getJz() {
        return jz;
    }

    public void setJz(BigDecimal jz) {
        this.jz = jz;
    }

    public String getCreateman() {
        return createman;
    }

    public void setCreateman(String createman) {
        this.createman = createman == null ? null : createman.trim();
    }

    public String getCreatetime() {
        return createtime;
    }

    public void setCreatetime(String createtime) {
        this.createtime = createtime == null ? null : createtime.trim();
    }

    public String getUpdateman() {
        return updateman;
    }

    public void setUpdateman(String updateman) {
        this.updateman = updateman == null ? null : updateman.trim();
    }

    public String getUpdatetime() {
        return updatetime;
    }

    public void setUpdatetime(String updatetime) {
        this.updatetime = updatetime == null ? null : updatetime.trim();
    }

    public String getReadtime() {
        return readtime;
    }

    public void setReadtime(String readtime) {
        this.readtime = readtime == null ? null : readtime.trim();
    }

    public BigDecimal getBfsfclWater() {
        return bfsfclWater;
    }

    public void setBfsfclWater(BigDecimal bfsfclWater) {
        this.bfsfclWater = bfsfclWater;
    }

    public BigDecimal getBfsfclZazhi() {
        return bfsfclZazhi;
    }

    public void setBfsfclZazhi(BigDecimal bfsfclZazhi) {
        this.bfsfclZazhi = bfsfclZazhi;
    }

    public BigDecimal getBfsfclKz() {
        return bfsfclKz;
    }

    public void setBfsfclKz(BigDecimal bfsfclKz) {
        this.bfsfclKz = bfsfclKz;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", gbsj=").append(gbsj);
        sb.append(", cinvccode=").append(cinvccode);
        sb.append(", cinvcode=").append(cinvcode);
        sb.append(", cinvstd=").append(cinvstd);
        sb.append(", cwhcode=").append(cwhcode);
        sb.append(", tab=").append(tab);
        sb.append(", djlx=").append(djlx);
        sb.append(", pzdl=").append(pzdl);
        sb.append(", place=").append(place);
        sb.append(", cinvcname=").append(cinvcname);
        sb.append(", cinvname=").append(cinvname);
        sb.append(", cwhname=").append(cwhname);
        sb.append(", mz=").append(mz);
        sb.append(", pz=").append(pz);
        sb.append(", jz=").append(jz);
        sb.append(", createman=").append(createman);
        sb.append(", createtime=").append(createtime);
        sb.append(", updateman=").append(updateman);
        sb.append(", updatetime=").append(updatetime);
        sb.append(", readtime=").append(readtime);
        sb.append(", bfsfclWater=").append(bfsfclWater);
        sb.append(", bfsfclZazhi=").append(bfsfclZazhi);
        sb.append(", bfsfclKz=").append(bfsfclKz);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}